
import java.util.*;

public class Consumer implements Runnable
{
   Buffer<Integer> buffer;
   int n;
   
   public Consumer (Buffer<Integer> sharedMem)
   {
       buffer = sharedMem;
       n = 0;
   }
   
   public void run ()
   {
       while (true)
       {
           SleepUtilities.nap();

           Integer message = (Integer) buffer.remove();
           if (message != null)
             System.out.println("Consumed " + message);
           else
             System.out.println("Consumer is finding nothing.");
       }
   }
}