
import java.util.*;

public class Producer implements Runnable
{
   Buffer<Integer> buffer;
   int n;
   
   public Producer (Buffer<Integer> sharedMem)
   {
       buffer = sharedMem;
       n = 0;
   }
   
   public void run ()
   {
       while (true)
       {
           SleepUtilities.nap();
           Integer message = new Integer(n);
           System.out.println("Produced " + n);
           buffer.insert(message);
           buffer.print();
           n++;
       }
   }
}